_putpixel(3)

NAME
_putpixel, _putpixel15, _putpixel16, _putpixel24, _putpixel32

SYNOPSIS
#include <allegro.h>

void _putpixel(BITMAP *bmp, int x, int y, int color); void _putpixel15(BITMAP *bmp, int x, int y, int color); void _putpixel16(BITMAP *bmp, int x, int y, int color); void _putpixel24(BITMAP *bmp, int x, int y, int color); void _putpixel32(BITMAP *bmp, int x, int y, int color);

DESCRIPTION
Like the regular putpixel(), but much faster because they are implemented as an inline assembler functions for specific color depths. These won't work in mode-X graphics modes, don't perform any clipping (they will crash if you try to draw outside the bitmap!), and ignore the drawing mode.

SEE ALSO
putpixel(3)